# Yocto Project / OpenEmbedded-Core (OE-Core) Maintainers File
#
# This file contains a list of recipe maintainers.
#
# Please submit any patches against recipes in meta to the 
# OE-Core mail list (openembedded-core@lists.openembedded.org)
# For recipes in meta-yocto please use the Poky list (poky@yoctoproject.org)
#
# If you have problems with or questions about a particular recipe, feel
# free to contact the maintainer directly (cc:ing the appropriate mailing list
# puts it in the archive and helps other people who might have the same
# questions in the future), but please try to do the following first:
#
#  - look in the Yocto Project Bugzilla
#    (http://bugzilla.yoctoproject.org/) to see if a problem has
#    already been reported
#
# - look through recent entries of the appropriate mailing list archives
#   (http://lists.linuxtogo.org/pipermail/openembedded-core or
#    https://lists.yoctoproject.org/pipermail/poky/) to see if other
#   people have run into similar problems or had similar questions
#   answered.
#
# The format is as a bitbake variable override for each recipe
#
#	RECIPE_MAINTAINER_pn-<recipe name> = "Full Name <address@domain>"
#
# Please keep this list in alphabetical order.
#
RECIPE_MAINTAINER_pn-acl = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-acpid = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-adt-installer = "Jessica Zhang <jessica.zhang@intel.com>"
RECIPE_MAINTAINER_pn-alsa-lib = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-alsa-state = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-alsa-tools = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-alsa-utils = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-alsa-utils-alsaconf = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-anjuta-remote-run = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-apmd = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-apr = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-apr-util = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-apt = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-aspell = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-atk = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-at = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-attr = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-augeas = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-autoconf = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-autogen = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-automake = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-avahi-ui = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-avahi = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-babeltrace = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-base-files = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-base-passwd = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-bash = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-bc = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-bdwgc = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-beecrypt = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-bigreqsproto = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-bind = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-binutils = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-bison = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-blktool = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-blktrace = "Tom Zanussi <tom.zanussi@intel.com>"
RECIPE_MAINTAINER_pn-bluez4 = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-bluez-dtl1-workaround = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-bluez-hcidump = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-boost-jam-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-boost = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-btrfs-tools = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-build-appliance-image = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-builder = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-busybox = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-byacc = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-bzip2 = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-cairo = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-calibrateproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-ccache = "Wenzong Fan <wenzong.fan@windriver.com>"
RECIPE_MAINTAINER_pn-cdrtools = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-chkconfig = "Wenzong Fan <wenzong.fan@windriver.com>"
RECIPE_MAINTAINER_pn-chrpath = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-claws-mail = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-claws-plugin-gtkhtml2-viewer = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-claws-plugin-maildir = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-claws-plugin-mailmbox = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-claws-plugin-rssyl = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-clipboard-manager = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-clutter-1.8 = "Ross Burton <ross.burton@intel.com>"
RECIPE_MAINTAINER_pn-clutter-gst-1.8 = "Ross Burton <ross.burton@intel.com>"
RECIPE_MAINTAINER_pn-clutter-gtk-1.8 = "Ross Burton <ross.burton@intel.com>"
RECIPE_MAINTAINER_pn-clutter = "Ross Burton <ross.burton@intel.com>"
RECIPE_MAINTAINER_pn-cmake-native = "Ross Burton <ross.burton@intel.com>"
RECIPE_MAINTAINER_pn-cmake = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-cogl = "Ross Burton <ross.burton@intel.com>"
RECIPE_MAINTAINER_pn-compositeproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-connman = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-connman-gnome = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-consolekit = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-console-tools = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-base = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-basic = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-clutter = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-core = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-lsb-dev = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-lsb = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-lsb-sdk = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-minimal-dev = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-minimal-directdisk = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-minimal-initramfs = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-minimal-live = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-minimal-mtdutils = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-minimal = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-rt = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-rt-sdk = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-sato-dev = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-sato-directdisk = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-sato-live = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-sato = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-sato-sdk-directdisk = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-sato-sdk-live = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-sato-sdk = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-core-image-x11 = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-coreutils = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-cpio = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-cracklib ="Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-createrepo = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-cronie = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-cross-localedef-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-cups = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-curl = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-cwautomacros = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-cyassl = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-damageproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-db = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-dbus = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-dbus-glib = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-dbus-wait = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-desktop-file-utils-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-dhcp = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-diffstat = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-diffutils = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-directfb-examples = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-directfb = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-distcc = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-distcc-config = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-dmxproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-docbook-dsssl-stylesheet = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-docbook-dsssl-stylesheets-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-docbook-sgml-dtd-3.1-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-docbook-sgml-dtd-4.1-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-docbook-sgml-dtd-4.5-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-docbook-sgml-dtd = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-docbook-utils = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-dosfstools = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-dpkg = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-dri2proto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-dropbear = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-dtc-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-dtc = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-e2fsprogs = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-ed = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-eds-tools = "Wenzong Fan <wenzong.fan@windriver.com>"
RECIPE_MAINTAINER_pn-eee-acpi-scripts = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-eggdbus = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-eglibc = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-eglibc-locale = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-eglibc-mtrace = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-eglibc-scripts = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-elfutils = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-empathy = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-enchant = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-encodings = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-epdfview = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-ethtool = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-evieext ="Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-expat = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-farsight2 = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-file = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-findutils = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-fixesproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-flac = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-flex = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-font-alias = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-fontcacheproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-fontconfig = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-fontsproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-font-util = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-foomatic-filters = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-formfactor = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-fotowall = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-freetype = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-fstests = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-fuse = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-gaku = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-galago-daemon = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gamin = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-gawk = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-gcc = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-gccmakedep = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-gcc-runtime = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-gconf-dbus = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gconf-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-gconf = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-gdb = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-gdbm = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-gdk-pixbuf-csource-native = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gdk-pixbuf = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-genext2fs = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-gettext-minimal-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-gettext = "Wenzong Fan <wenzong.fan@windriver.com>"
RECIPE_MAINTAINER_pn-ghostscript = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-git = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-glew = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-glib-2.0 = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-glibc = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-glib-networking = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-glproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gmp = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-gnome-common = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gnome-desktop = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gnome-doc-utils = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gnome-icon-theme = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gnome-keyring = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gnome-mime-data = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gnome-settings-daemon = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gnome-terminal = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gnome-vfs = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gnu-config = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-gnupg = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-gnutls = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gobject-introspection = "Kai Kang <kai.kang@windriver.org>"
RECIPE_MAINTAINER_pn-gperf = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-gpgme = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-grep = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-groff-native = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-groff = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-grub-efi-i586-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-grub = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-gssdp = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gst-ffmpeg = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gst-fluendo-mp3 = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gst-fluendo-mpegdemux = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gst-meta-base = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gst-openmax = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gst-plugin-bluetooth = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gst-plugins-bad = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gst-plugins-base = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gst-plugins-good = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gst-plugins-ugly = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gstreamer = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gtk-doc-stub-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-gtk-doc-stub = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-gtk-doc = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gtk-engines = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gtk-sato-engine = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gtk-theme-torturer = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-gtk+ = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-guile = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-guilt-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-gupnp-av = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gupnp = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-gupnp-tools = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gypsy = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-gzip = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-hal-info = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-hal = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-hdparm = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-help2man-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-hicolor-icon-theme = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-hostap-conf = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-hostap-utils = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-hwlatdetect = "Darren Hart <dvhart@linux.intel.com>"
RECIPE_MAINTAINER_pn-icecc-create-env-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-icon-naming-utils-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-icu = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-imake = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-initramfs-boot = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-initramfs-framework = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-initramfs-live-boot = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-initramfs-live-install-efi = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-initramfs-live-install = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-initscripts = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-inputproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-insserv = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-intltool = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-iproute2 = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-iptables = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-iputils = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-irda-utils = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-iso-codes = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-jpeg = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-json-glib = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-js = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-kbd-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-kbd = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-kbproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-kconfig-frontends-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-kconfig-frontends = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-kernelshark = "Darren Hart <dvhart@linux.intel.com>"
RECIPE_MAINTAINER_pn-kern-tools-native = "Bruce Ashfield <bruce.ashfield@windriver.com>"
RECIPE_MAINTAINER_pn-kexec-tools = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-keymaps = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-kf = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-kmod = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-lame = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-latencytop = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-ldconfig-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-leafpad = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-less = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-liba52 = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libacpi = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libaio = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libarchive = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-libart-lgpl = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libassuan = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libatomics-ops = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-libcanberra = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libcap = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libcgroup = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libcheck = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libclass-isa-perl-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libclass-isa-perl = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libconvert-asn1-perl = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-libcroco = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libdaemon = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libdmx = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-libdrm = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-libdrm-poulsbo = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-libdrm-poulsbo = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libdumpvalue-perl-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libdumpvalue-perl = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libenv-perl-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libenv-perl = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-liberation-fonts = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libetpan = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libevent = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-libexif = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libfakekey = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libffi  = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libfile-checktree-perl-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libfile-checktree-perl = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libfm = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libfontenc = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libfribidi = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libgalago = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libgcc = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libgcrypt = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libgdbus = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-libglade = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libglu = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libgnomecanvas = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libgnomekbd = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libgnome-keyring = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libgpg-error = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libgsf = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libgsmd = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libgtkstylus = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libi18n-collate-perl-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libi18n-collate-perl = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libice = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libiconv = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libid3tag = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libidn = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libjson = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-libksba = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-liblbxutil = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libmad = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libmatchbox = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libmpc = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-libmusicbrainz = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libnewt = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-libnfsidmap = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-libnice = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libnl = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libnss-mdns = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libogg = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-liboil = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libomxil = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libopensync = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libopensync-plugin-evolution2 = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libopensync-plugin-file = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libopensync-plugin-google-calendar = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libopensync-plugin-irmc = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libopensync-plugin-syncml = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libopensync-plugin-vformat = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libowl-av = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libowl = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libpam = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-libpcap = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libpciaccess = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-libpcre = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-libpng = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-libpod-plainer-perl-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libpod-plainer-perl = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libproxy = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libpthread-stubs = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-librsvg = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libsamplerate0 = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libsdl = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-libsm = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libsndfile1 = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libsoup-2.4 = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libsoup = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libsyncml = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libtasn1 = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libtelepathy = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libtheora = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libtimedate-perl = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-libtirpc = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libtool = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-libunique = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-libunistring = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-liburcu = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-liburi-perl = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-libusb1 = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libusb-compat = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libuser = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libvorbis = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-libx11-diet = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-libx11 = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxau = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxaw = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxcalibrate = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxcb = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxcomposite = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxcursor = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxdamage = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxdmcp = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxevie = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxext = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxfixes = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxfontcache = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxfont = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxft = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxinerama = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxi = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxkbcommon = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libxkbfile = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxkbui = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxklavier = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxml2 = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libxml-namespacesupport-perl-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libxml-namespacesupport-perl = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libxml-parser-perl = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-libxml-perl = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libxml-sax-perl = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-libxml-simple-perl = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libxmu = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxpm = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxprintapputil = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxprintutil = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxp = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxrandr = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxrender = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxres = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxscrnsaver = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxsettings-client = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxslt = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxt = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-libxtrap = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxtst = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxvmc = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxv = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxxf86dga ="Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-libxxf86dga = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxxf86misc = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-libxxf86vm = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-lighttpd = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-linuxdoc-tools = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-linux-dummy = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-linux-firmware = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-linux-libc-headers = "Bruce Ashfield <bruce.ashfield@windriver.com>"
RECIPE_MAINTAINER_pn-linux-libc-headers-yocto = "Bruce Ashfield <bruce.ashfield@windriver.com>"
RECIPE_MAINTAINER_pn-linux-yocto = "Darren Hart <dvhart@linux.intel.com>"
RECIPE_MAINTAINER_pn-linux-yocto-rt = "Darren Hart <dvhart@linux.intel.com>"
RECIPE_MAINTAINER_pn-linux-yocto-tiny = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-logrotate = "Robert Yang <liezhi.yang@windriver.com>"
RECIPE_MAINTAINER_pn-loudmouth = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-lrzsz = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-lsbinitscripts = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-lsbsetup = "Yi Zhao <yi.zhao@windriver.com>"
RECIPE_MAINTAINER_pn-lsbtest = "Yi Zhao <yi.zhao@windriver.com>"
RECIPE_MAINTAINER_pn-lsb = "Yi Zhao <yi.zhao@windriver.com>"
RECIPE_MAINTAINER_pn-lsof = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-ltp = "Mihai Lindner <mihaix.lindner@linux.intel.com>"
RECIPE_MAINTAINER_pn-lttng-modules = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-lttng-tools = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-lttng-ust = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-lzop-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-lzop = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-lzo = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-m4 = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-mailx = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-make = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-makedepend = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-makedevs = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-man-pages = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-man = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-matchbox-config-gtk = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-desktop-sato = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-desktop = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-keyboard = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-panel-2 = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-session-sato = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-session = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-terminal = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-theme-sato-2 = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-theme-sato = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-themes-extra = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-themes-gtk = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-wm-2 = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-matchbox-wm = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-mc = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-mdadm = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-menu-cache = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-mesa-demos = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-mesa-glsl-native = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-mesa = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-metacity = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-meta-environment-i586 = "Jessica Zhang <jessica.zhang@intel.com>"
RECIPE_MAINTAINER_pn-meta-ide-support = "Jessica Zhang <jessica.zhang@intel.com>"
RECIPE_MAINTAINER_pn-meta-toolchain-gmae = "Jessica Zhang <jessica.zhang@intel.com>"
RECIPE_MAINTAINER_pn-meta-toolchain-qte = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-meta-toolchain = "Jessica Zhang <jessica.zhang@intel.com>"
RECIPE_MAINTAINER_pn-mingetty = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-minicom = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-mini-x-session = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-mkelfimage-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-mkelfimage = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-mkfontdir = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-mkfontscale = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-mklibs-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-mktemp ="Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-mobile-broadband-provider-info = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-module-init-tools = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-modutils-collateral = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-modutils-collateral = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-modutils-initscripts = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-modutils-initscripts = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-mpeg2dec = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-mpfr = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-msmtp = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-msynctool = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-mtdev = "Ross Burton <ross.burton@intel.com>"
RECIPE_MAINTAINER_pn-mtd-utils = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-mtools = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-mx = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-nasm = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-nativesdk-cmake = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-nativesdk-dtc = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-nativesdk-eglibc-initial = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-nativesdk-eglibc-locale = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-nativesdk-gcc-runtime = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-nativesdk-libgcc = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-nativesdk-lzop = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-nativesdk-packagegroup-qte-toolchain-host = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-nativesdk-qemu-helper = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-nativesdk-qt4-tools = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-nativesdk-unfs-server = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-nativesdk-util-macros = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-ncurses = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-neard = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-neon = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-netbase = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-net-tools = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-nfs-export-root = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-nfs-utils = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-npth = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-nspr = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-ocf-linux = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-ocf-linux = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-ofono = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-oh-puzzles = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-openjade = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-openobex = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-opensp = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-openssh = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-openssl = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-openswan = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-opkg-collateral = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-opkg-config-base = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-opkg_nogpg = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-opkg = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-opkg-utils = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-oprofile = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-oprofileui = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-oprofileui-server = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-ossp-uuid-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-ossp-uuid = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-owl-video = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-base = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-basic = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-boot = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-buildessential = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-clutter = "Ross Burton <ross.burton@intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-console = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-device-devel = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-directfb = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-lsb = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-nfs = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-qt4e = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-qt = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-sdk-gmae = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-sdk = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-ssh-dropbear = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-ssh-openssh = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-standalone-gmae-sdk-target = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-standalone-sdk-target = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-tools-debug = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-tools-profile = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-tools-testapps = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-x11-base = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-x11-sato = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-x11 = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-core-x11-xserver = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-cross-canadian-i586 = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-qte-toolchain-target = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-sdk-host = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-packagegroup-self-hosted = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-package-index = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-pango = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-parted = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-patch = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-pax-utils = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-pax = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-pciutils = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-pcmanfm = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-pcmciautils = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-perf = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-perl = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-pigz-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-pigz = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-pixman = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-pkgconfig = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-pm-utils = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-pointercal = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-poky-feed-config-opkg = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-polkit = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-polkit-gnome = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-pong-clock = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-poppler-data = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-poppler = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-popt = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-portmap = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-postinsts = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-powertop = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-ppp = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-ppp-dialin = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-prelink = "Mark Hatle <mark.hatle@windriver.com>"
RECIPE_MAINTAINER_pn-printproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-procps = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-pseudo = "Mark Hatle <mark.hatle@windriver.com>"
RECIPE_MAINTAINER_pn-psmisc = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-psplash = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-pth = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-pulseaudio = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-puzzles = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-python-argparse-native = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-argparse = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-dbus = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-gst = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-imaging = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-pycairo = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-pycurl = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-pygobject = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-pygtk = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-pyrex = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-scons = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-setuptools-native = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-setuptools = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-smartpm-native = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-python-smartpm = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-qemu-config = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-qemugl ="Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-qemu-helper-nativesdk = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-qemu-helper-native = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-qemu = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-qmmp = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-qt4e-demo-image = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-qt4-embedded = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-qt4-graphics-system = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-qt4-native = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-qt4-tools-nativesdk = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-qt4-x11-free = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-qt-demo-init = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-qt-mobility-embedded = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-qt-mobility-x11 = "Paul Eggleton <paul.eggleton@linux.intel.com>"
RECIPE_MAINTAINER_pn-quicky = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-quilt = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-quota = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-randrproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-readline = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-recordproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-remake-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-remake = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-renderproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-resolvconf = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-resourceproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-rgb = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-rpcbind = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-rpm = "Mark Hatle <mark.hatle@windriver.com>"
RECIPE_MAINTAINER_pn-rpmresolve-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-rpmresolve = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-rsync = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-rt-tests = "Darren Hart <dvhart@linux.intel.com>"
RECIPE_MAINTAINER_pn-run-postinsts = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-rxvt-unicode = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-sato-icon-theme = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-sato-screenshot = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-sbc = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-screenshot = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-screen = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-scrnsaverproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-sed = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-setserial = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-settings-daemon = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-sgml-common = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-sgmlspl = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-shadow = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-shadow-securetty = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-shadow-sysroot = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-shared-mime-info = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-shutdown-desktop = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-slang = "Kai Kang <kai.kang@windriver.com>"
RECIPE_MAINTAINER_pn-socat = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-speex = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-sqlite3 = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-squashfs-tools = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-startup-notification = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-stat = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-strace = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-subversion = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-sudo = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-swabber-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-sysfsutils = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-sysklogd = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-syslinux = "Darren Hart <dvhart@linux.intel.com>"
RECIPE_MAINTAINER_pn-sysprof = "Tom Zanussi <tom.zanussi@intel.com>"
RECIPE_MAINTAINER_pn-sysstat = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-systemtap = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-systemtap-uprobes = "Tom Zanussi <tom.zanussi@intel.com>"
RECIPE_MAINTAINER_pn-sysvinit-inittab = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-sysvinit = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-taglib = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-tar-replacement-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-tar = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-tcf-agent = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-tcl = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-tcp-wrappers = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-tcp-wrappers = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-telepathy-farsight = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-telepathy-gabble = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-telepathy-glib = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-telepathy-idle = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-telepathy-mission-control = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-telepathy-python = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-texi2html = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-texinfo = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-tidy = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-tiff = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-time = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-tiny-init = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-tinylogin = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-trace-cmd = "Darren Hart <dvhart@linux.intel.com>"
RECIPE_MAINTAINER_pn-transfig = "Andrei Dinu <andrei.adrianx.dinu@intel.com>"
RECIPE_MAINTAINER_pn-trapproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-tremor = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-tslib = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-ttf-bitstream-vera = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-tzcode-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-tzdata = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-ubootchart = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-u-boot-fw-utils = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-u-boot-mkimage = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-udev-extraconf = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-udev = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-unfs-server-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-unifdef = "Bogdan Marinescu <bogdan.a.marinescu@intel.com>"
RECIPE_MAINTAINER_pn-unzip = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-update-alternatives-dpkg = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-update-rc.d = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-usbinit = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-usbutils = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-util-linux = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-util-macros-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-util-macros = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-v86d = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-valgrind = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-videoproto = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-vte ="Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-watchdog = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-wbxml2 = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-webkit-gtk = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-web-webkit = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-wget = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-which = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-wireless-tools = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-wpa-supplicant = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-wv = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-x11-common = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-x11perf = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-x11vnc = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xauth = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xbacklight = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xcb-proto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xcb-util-image = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xcb-util-keysyms = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xcb-util = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xcb-util-renderutil = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-xcb-util-wm = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xcmiscproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xcursor-transparent-theme = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xdg-utils = "Constantin Musca <constantinx.musca@intel.com>"
RECIPE_MAINTAINER_pn-xdpyinfo = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xev = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xextproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xeyes = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86bigfontproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86dgaproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86driproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86-input-evdev = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86-input-keyboard = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86-input-mouse = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86-input-synaptics = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86-input-vmmouse = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86miscproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86rushproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86-video-fbdev = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86-video-intel = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86-video-omapfb = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86-video-vesa = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86-video-vmware = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xf86vidmodeproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xhost = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xineramaproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xinetd = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xinit = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xinput = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xkbcomp = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xkeyboard-config = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xmodmap = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xorg-cf-files-native = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-xorg-cf-files = "Saul Wold <sgw@linux.intel.com>"
RECIPE_MAINTAINER_pn-xorg-minimal-fonts = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xournal = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-xprop = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xproto = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xproxymanagementprotocol = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xrandr = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xrdb = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xrestop = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xserver-nodm-init = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xserver-xf86-config = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xserver-xorg = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xset = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xtrans = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xtscal = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xvideo-tests = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-xvinfo = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xwininfo = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-xz = "Laurentiu Palcu <laurentiu.palcu@intel.com>"
RECIPE_MAINTAINER_pn-yaffs2-utils = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-zaurusd = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-zeroconf = "Cristian Iorga <cristian.iorga@intel.com>"
RECIPE_MAINTAINER_pn-zip = "Radu Moisan <radu.moisan@intel.com>"
RECIPE_MAINTAINER_pn-zlib = "Radu Moisan <radu.moisan@intel.com>"
